WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Sym-Links needed for OpenLDAP  (Read 1072 times)

Offline CentralWare

  • Retired Admins
  • Hero Member
  • *****
  • Posts: 661
Sym-Links needed for OpenLDAP
« on: January 04, 2024, 01:13:19 PM »
@juanito: On 14.x (x64) Subversion (and others) point back to OpenLDAP 2.4 (links for libldap-2.4.so.2 and liblber-2.4.so.2 suggested for the OpenLDAP extension which should fix all of the associated extensions for when LDAP/SSL were recently updated.)

Code: [Select]
tc@Mini-01:/$ ldd $(which svn)
        linux-vdso.so.1 (0x00007ffe6f9e1000)
        libsvn_client-1.so.0 => /usr/local/lib/libsvn_client-1.so.0 (0x00007fdcc470c000)
        libsvn_wc-1.so.0 => /usr/local/lib/libsvn_wc-1.so.0 (0x00007fdcc4665000)
        libsvn_ra-1.so.0 => /usr/local/lib/libsvn_ra-1.so.0 (0x00007fdcc4656000)
        libsvn_diff-1.so.0 => /usr/local/lib/libsvn_diff-1.so.0 (0x00007fdcc463f000)
        libsvn_ra_local-1.so.0 => /usr/local/lib/libsvn_ra_local-1.so.0 (0x00007fdcc4633000)
        libsvn_repos-1.so.0 => /usr/local/lib/libsvn_repos-1.so.0 (0x00007fdcc45f6000)
        libsvn_fs-1.so.0 => /usr/local/lib/libsvn_fs-1.so.0 (0x00007fdcc45e8000)
        libsvn_fs_fs-1.so.0 => /usr/local/lib/libsvn_fs_fs-1.so.0 (0x00007fdcc459b000)
        libsvn_fs_x-1.so.0 => /usr/local/lib/libsvn_fs_x-1.so.0 (0x00007fdcc454e000)
        libsvn_fs_util-1.so.0 => /usr/local/lib/libsvn_fs_util-1.so.0 (0x00007fdcc4549000)
        libsvn_ra_svn-1.so.0 => /usr/local/lib/libsvn_ra_svn-1.so.0 (0x00007fdcc4528000)
        libsasl2.so.3 => /usr/local/lib/libsasl2.so.3 (0x00007fdcc450c000)
        libresolv.so.2 => /lib/libresolv.so.2 (0x00007fdcc44f4000)
        libsvn_ra_serf-1.so.0 => /usr/local/lib/libsvn_ra_serf-1.so.0 (0x00007fdcc44c3000)
        libserf-1.so.1 => /usr/local/lib/libserf-1.so.1 (0x00007fdcc44a8000)
        libsvn_delta-1.so.0 => /usr/local/lib/libsvn_delta-1.so.0 (0x00007fdcc448b000)
        libsvn_subr-1.so.0 => /usr/local/lib/libsvn_subr-1.so.0 (0x00007fdcc43c4000)
        libsqlite3.so.0 => /usr/local/lib/libsqlite3.so.0 (0x00007fdcc42e2000)
        libz.so.1 => /usr/lib/libz.so.1 (0x00007fdcc42cd000)
        libm.so.6 => /lib/libm.so.6 (0x00007fdcc4208000)
        liblz4.so.1 => /usr/local/lib/liblz4.so.1 (0x00007fdcc41ec000)
        libaprutil-1.so.0 => /usr/local/lib/libaprutil-1.so.0 (0x00007fdcc41bd000)
        libexpat.so.1 => /usr/local/lib/libexpat.so.1 (0x00007fdcc419a000)
        libapr-1.so.0 => /usr/local/lib/libapr-1.so.0 (0x00007fdcc4159000)
        libuuid.so.1 => /lib/libuuid.so.1 (0x00007fdcc4150000)
        librt.so.1 => /lib/librt.so.1 (0x00007fdcc414b000)
        libcrypt.so.1 => /lib/libcrypt.so.1 (0x00007fdcc4113000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00007fdcc410e000)
        libdl.so.2 => /lib/libdl.so.2 (0x00007fdcc4109000)
        libc.so.6 => /lib/libc.so.6 (0x00007fdcc3f71000)
        libssl.so.1.1 => /usr/local/lib/libssl.so.1.1 (0x00007fdcc3ef6000)
        libcrypto.so.1.1 => /usr/local/lib/libcrypto.so.1.1 (0x00007fdcc3c70000)
        libldap-2.4.so.2 => not found
        liblber-2.4.so.2 => not found
        libgdbm.so.6 => /usr/local/lib/libgdbm.so.6 (0x00007fdcc3c5e000)
        /lib/ld-linux-x86-64.so.2 (0x00007fdcc478e000)

Offline andyj

  • Hero Member
  • *****
  • Posts: 1023
Re: Sym-Links needed for OpenLDAP
« Reply #1 on: January 04, 2024, 02:50:43 PM »
If you add the symlinks manually does everything work? OpenLDAP is at 2.6 which is why the 2.4 file names are no longer used.

Offline CentralWare

  • Retired Admins
  • Hero Member
  • *****
  • Posts: 661
Re: Sym-Links needed for OpenLDAP
« Reply #2 on: January 04, 2024, 05:22:46 PM »
With Subversion, yes.  (I was missing libcrypto.so.1.1, too, but was due to not having that version of openssl installed - add to svn.tcz.dep?)

Once openssl was installed, it complained about the two libraries listed; I created links as noted and svn is up and running.
We'd have to recompile all of the apps expecting 2.4 explicitly...  easier this way, at least for now until we know how many extensions are affected by the recent updates to ssl/ldap.  I can check/test the others on my "right now" list tomorrow; will post back with before/after results.

Cheers!

~TJ~

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14641
Re: Sym-Links needed for OpenLDAP
« Reply #3 on: January 05, 2024, 09:59:12 AM »
If you add the symlinks manually does everything work? OpenLDAP is at 2.6 which is why the 2.4 file names are no longer used.

i created an openldap2.4 extension in the x86_64 repo a couple of weeks back, if that makes things work, it can be added to applicable dep files in the interim

Offline CentralWare

  • Retired Admins
  • Hero Member
  • *****
  • Posts: 661
Re: Sym-Links needed for OpenLDAP
« Reply #4 on: January 05, 2024, 10:10:38 AM »
@juanito: It figures!
Code: [Select]
i created an openldap2.4 extension in the x86_64 repo a couple of weeks back I never saw the extension on our end as our local repo has not been synchronized since early December when we took 3.x off our sync list - somehow turning it back on never happened!

I'm rebuilding the LAMP and SVN packages which should take care of the LDAP issue with those; it'll take a scan of .dep files to see what else was affected.  I'll update accordingly!  Thank you!

Online Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14641
Re: Sym-Links needed for OpenLDAP
« Reply #5 on: January 05, 2024, 10:50:51 AM »
svn updated in the tc-15.x x86_64 repo

I'm not sure which extensions you are referring to with "LAMP", but be sure to check with the current maintainer (if not yourself) if they're OK with you updating them in the repos.

Offline andyj

  • Hero Member
  • *****
  • Posts: 1023
Re: Sym-Links needed for OpenLDAP
« Reply #6 on: January 05, 2024, 11:10:15 AM »
I'm not opposed to someone taking over for me, but all I ask is that nothing breaks.